Fatal error: Class ‘woocommerce_order’ not found

Com a nova atualização do WooCommerce 2.0 diversos usuários tem reclamado do erro que aparece quando um meio de pagamento é utilizado, normalmente o erro aparece exatamente na tela de checkout, impedindo a finalização da compra.

Fatal error: Class ‘woocommerce_order’ not found in /wp-content/plugins/woocommerce-gateway-pagseguro/PagSeguro.Gateway.php on line 302

É muito comum encontrar este erro nos plugins WooCommerce PagSeguro, WooCommerce MoIP e WooCommerce BCash, justamente porque nem todos os usuários destes plugins atualizaram seus plugins com frequência.

Este erro está diretamente relacionado a atualização dos plugins e para corrigir você precisa simplesmente atualizar seus plugins para a versão mais recente.

A classe woocommerce_order foi substituída pela classe WC_Order no WooCommerce 1.6, mas continuou disponível nas versões 1.6+, a partir da versão WooCommerce 2.0 o suporte a classe woocommerce_order foi removido sendo necessário então, atualizar todos os plugins para a versão 2.0.

Para corrigir basta atualizar seus plugins mantendo-os sempre na versão mais recente. Para atualizar baixe a versão mais recente através de sua conta e siga as instruções sobre Como atualizar plugins.